Results 1 to 4 of 4

Thread: gcc: error: unrecognized command line option ‘--showme:link’

  1. #1
    Join Date
    Nov 2013
    Beans
    3

    gcc: error: unrecognized command line option ‘--showme:link’

    I was asked to install certain packages, when opening the terminal. After installing those packages, when i opened the terminal it showed gcc: error: unrecognized command line option ‘--showme:link’ , can you please help me with this. And i am a beginner, so help me with some steps. And one more error which i got when i was working openfoam

    blockMesh: error while loading shared libraries: libmpi.so.0: cannot open shared object file: No such file or directory

    I felt both the errors are linked . Can anyone kindly help to resolve these issues as soon as possible .

  2. #2
    Join Date
    Apr 2012
    Beans
    6,898

    Re: gcc: error: unrecognized command line option ‘--showme:link’

    Hello and welcome to the forum

    You will likely get help quicker if you explain what "certain packages" you installed, and the exact steps you made (e.g. editing your ~/.bashrc) - if you were following online instructions, post a link to them

  3. #3
    Join Date
    Nov 2013
    Beans
    3

    Re: gcc: error: unrecognized command line option ‘--showme:link’

    The packages which i was asked to install were,

    sudo apt-get install libopenmpi1.6-dev
    sudo apt-get install libopenmpi-dev
    sudo apt-get install libmpich2-dev
    sudo apt-get install libmpich1.0-dev
    sudo apt-get install libmpich-mpd1.0-dev
    sudo apt-get install libmpich-shmem1.0-dev
    sudo apt-get install lam4-dev
    These packages were shown as missing in the first lines of terminal, when i opened the terminal.And is there any link between the first error anf 2nd which i had mentioned in my post.

  4. #4
    Join Date
    Nov 2013
    Beans
    1

    Re: gcc: error: unrecognized command line option ‘--showme:link’

    Quote Originally Posted by ajitnair90 View Post
    I was asked to install certain packages, when opening the terminal. After installing those packages, when i opened the terminal it showed gcc: error: unrecognized command line option ‘--showme:link’ , can you please help me with this.
    In order to solve this problem, you should check this link:
    http://www.openfoam.org/download/ubuntu.php

    Typing:
    Code:
     sudo update-alternatives --list mpi
    If your system has MPICH libraries, you will see two lines, the second one is the MPICH path in where it was installed.
    In order to fix the problem, typing:
    Code:
     sudo update-alternatives --set mpi /usr/lib/openmpi/include
    Regards.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •